> For the complete documentation index, see [llms.txt](https://developer.magtek.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.magtek.com/sdks-and-tools/universal-sdk-documentation/java/mtusdk-enumerations.md).

# MTUSDK Enumerations

### DeviceType

This enum refers to the type of MagTek reader which the SDK will control.

<table data-header-hidden><thead><tr><th width="101.727294921875" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Enum</td><td valign="top">Description</td></tr><tr><td valign="top"><p> </p><p> </p><p> </p><p> </p><p> </p><p>SCRA</p></td><td valign="top"><p>Reserved for future use.</p><p>Secure Reader Authenticator devices.</p><ul><li>eDynamo</li><li>mDynamo</li><li>Dynamag</li><li>DynaMax</li><li>tDynamo</li><li>kDynamo</li><li>cDynamo</li><li>iDynamo 6</li></ul></td></tr><tr><td valign="top"><p> </p><p> </p><p>PPSCRA</p></td><td valign="top"><p>Reserved for future use.</p><p>PIN Pad Secure Reader Authenticator devices.</p><ul><li>DynaPro</li><li>DynaPro Go</li><li>DynaPro Mini</li></ul></td></tr><tr><td valign="top"><p> </p><p>CMS</p></td><td valign="top"><p>Reserved for future use.</p><p>Common Message Structure devices.</p><ul><li>oDynamo</li></ul></td></tr><tr><td valign="top"><p> </p><p>MMS</p></td><td valign="top"><p>MMS class devices. (MagTek Message Scheme)</p><ul><li>DynaFlex</li><li>DynaFlex Pro</li></ul></td></tr></tbody></table>

### ConnectionType <a href="#id-12.2_connectiontype" id="id-12.2_connectiontype"></a>

This enum refers to the communication interface type of MagTek reader which the SDK will control.

<table data-header-hidden><thead><tr><th width="221.72723388671875" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Enum</td><td valign="top">Description</td></tr><tr><td valign="top"><p> </p><p>USB</p></td><td valign="top"><p>Universal Serial Bus supported devices:</p><ul><li>DynaFlex</li><li>DynaFlex Pro</li></ul></td></tr><tr><td valign="top"><p> </p><p>BLUETOOTH_LE</p></td><td valign="top"><p>Reserved for future use. Bluetooth Low Energy devices:</p><ul><li>DynaMax</li></ul></td></tr><tr><td valign="top"><p> </p><p>BLUETOOTH_LE_EMV</p></td><td valign="top"><p>Reserved for future use.</p><p>Bluetooth Low Energy with EMV supported devices:</p><ul><li>eDynamo</li></ul></td></tr><tr><td valign="top"><p> </p><p>BLUETOOTH_LE_EMVT</p></td><td valign="top"><p>Reserved for future use.</p><p>Bluetooth Low Energy with EMV supported devices:</p><ul><li>tDynamo</li></ul></td></tr><tr><td valign="top"><p> </p><p>TCP</p></td><td valign="top"><p>Reserved for future use.</p><p>Transmission Control Protocol supported devices:</p><ul><li>DynaPro</li></ul></td></tr><tr><td valign="top"><p> </p><p>TCP_TLS</p></td><td valign="top"><p>Reserved for future use.</p><p>Transmission Control Protocol with Transport Layer Security supported devices:</p><ul><li>DynaPro Go</li></ul></td></tr><tr><td valign="top"><p> </p><p>TCP_TLS_TRUST</p></td><td valign="top"><p>Reserved for future use.</p><p>Transmission Control Protocol with Transport Layer Security supported devices:</p><ul><li>DynaPro Go</li></ul></td></tr><tr><td valign="top"><p> </p><p>WEBSOCKET</p></td><td valign="top"><p>Reserved for future use. WebSocket supported devices:</p><ul><li>DynaFlex Pro</li></ul></td></tr><tr><td valign="top">SERIAL</td><td valign="top">Reserved for future use. UART supported devices</td></tr><tr><td valign="top"><p> </p><p>AIDL</p></td><td valign="top"><p>Reserved for future use. AIDL devices:</p><ul><li>DynaGlass</li></ul></td></tr><tr><td valign="top">VIRTUAL</td><td valign="top">Reserved for future use. Virtual devices</td></tr></tbody></table>

### ConnectionState <a href="#id-12.3_connectionstate" id="id-12.3_connectionstate"></a>

This enum refers to the readiness of the SDK to communicate with the device. This is not the physical attachment to a host system.

<table data-header-hidden><thead><tr><th width="187.181884765625" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Enum</td><td valign="top">Description</td></tr><tr><td valign="top">Unknown</td><td valign="top">Device is in an unknown connection state.</td></tr><tr><td valign="top">Disconnected</td><td valign="top">Device is disconnected.</td></tr><tr><td valign="top">Connecting</td><td valign="top">Device is in the process of connecting. The next state is to be Connected.</td></tr><tr><td valign="top">Error</td><td valign="top">There was an error either connecting or disconnecting the device.</td></tr><tr><td valign="top">Connected</td><td valign="top">Device is connected and ready for transacting.</td></tr><tr><td valign="top">Disconnecting</td><td valign="top"><p>Device is in the process of disconnecting. The next state will is to be</p><p>Disconnected.</p></td></tr></tbody></table>

### InfoType <a href="#id-12.4_infotype" id="id-12.4_infotype"></a>

This enum refers to the type of specific information to retrieve from the device.

<table data-header-hidden><thead><tr><th width="198.09088134765625" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Enum</td><td valign="top">Description</td></tr><tr><td valign="top">DeviceSerialNumber</td><td valign="top">Device serial number.</td></tr><tr><td valign="top">FirmwareVersion</td><td valign="top">Firmware version of the device.</td></tr><tr><td valign="top">DeviceCapabilities</td><td valign="top">Capabilities of the device delimited by a comma.</td></tr><tr><td valign="top">Boot1Version</td><td valign="top">Boot 1 firmware version of the device.</td></tr><tr><td valign="top">Boot0Version</td><td valign="top">Boot 0 firmware version of the device.</td></tr><tr><td valign="top">FirmwareHash</td><td valign="top">Firmware hash comprised of part numbers, versions, and timestamps.</td></tr><tr><td valign="top"><p> </p><p>TamperStatus</p></td><td valign="top"><p>Tamper status of the device. 0x00 = Not Tampered</p><p>0x01 = Tampered</p></td></tr><tr><td valign="top"><p> </p><p>OperationStatus</p></td><td valign="top"><p>Operation status of the device. 0x01 = Offline</p><ul><li>0x02 = Online</li></ul></td></tr><tr><td valign="top"><p> </p><p> </p><p> </p><p> </p><p>OfflineDetail</p></td><td valign="top"><p>Details of why the device is offline.</p><ul><li>Bit 0 = Tamper problem present</li><li>Bit 1 = Master Key problem present</li><li>Bit 2 = Keys and Certificates problem present</li><li>Bit 3 = Real Time Clock problem present</li><li>Bit 4 = Random Number Generator problem present</li><li>Bit 5 = Cryptography Engine problem present</li><li>Bit 6 = Magnetic Stripe Reader Hardware problem present</li><li>Bit 7 = Reserved</li></ul></td></tr></tbody></table>

### PaymentMethod <a href="#id-12.5_paymentmethod" id="id-12.5_paymentmethod"></a>

This enum refers to card type for which the device will perform a transaction.

<table data-header-hidden><thead><tr><th width="152.6363525390625" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Enum</td><td valign="top">Description</td></tr><tr><td valign="top">MSR</td><td valign="top">For magnetic stripe cards.</td></tr><tr><td valign="top">Contact</td><td valign="top">For EMV chip cards.</td></tr><tr><td valign="top">Contactless</td><td valign="top">For NFC contactless cards.</td></tr><tr><td valign="top">ManualEntry</td><td valign="top">For user to manually enter transaction data without any card access.</td></tr></tbody></table>

### StatusCode <a href="#id-12.6_statuscode" id="id-12.6_statuscode"></a>

This enum refers to returned status code of a function call.

<table data-header-hidden><thead><tr><th width="152.6363525390625" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Enum</td><td valign="top">Description</td></tr><tr><td valign="top">SUCCESS</td><td valign="top">Operation completed successfully.</td></tr><tr><td valign="top">TIMEOUT</td><td valign="top">Operation timed out before completion.</td></tr><tr><td valign="top">ERROR</td><td valign="top">Error in the operation.</td></tr><tr><td valign="top">UNAVAILABLE</td><td valign="top">Status currently unavailable.</td></tr></tbody></table>

### TransactionStatus <a href="#id-12.7_transactionstatus" id="id-12.7_transactionstatus"></a>

This enum refers to the status of the transaction.

<table data-header-hidden><thead><tr><th width="209.90911865234375" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Enum</td><td valign="top">Description</td></tr><tr><td valign="top">NoStatus</td><td valign="top">Set before the start of a transaction and before a card is presented to the device.</td></tr><tr><td valign="top">NoTransaction</td><td valign="top">No transaction is progress.</td></tr><tr><td valign="top">CardSwiped</td><td valign="top">A card was swiped into the device.</td></tr><tr><td valign="top">CardInserted</td><td valign="top">A card was inserted into the device.</td></tr><tr><td valign="top">CardRemoved</td><td valign="top">A card was removed from the device.</td></tr><tr><td valign="top">CardDetected</td><td valign="top">A card was detected by the device.</td></tr><tr><td valign="top">CardCollision</td><td valign="top">A card collision was detected by the device.</td></tr><tr><td valign="top">TimedOut</td><td valign="top">The transaction was not completed before a timeout period.</td></tr><tr><td valign="top">HostCanceled</td><td valign="top">The host software sent a cancel.</td></tr><tr><td valign="top">TransactionCanceled</td><td valign="top">The transaction was canceled.</td></tr><tr><td valign="top">TransactionInProgress</td><td valign="top">The transactions is in progress.</td></tr><tr><td valign="top">TransactionError</td><td valign="top">There is an error during the transaction.</td></tr><tr><td valign="top">TransactionApproved</td><td valign="top">The transactions is approved.</td></tr><tr><td valign="top">TransactionDeclined</td><td valign="top">The transactions is declined.</td></tr><tr><td valign="top">TransactionCompleted</td><td valign="top">The transaction is completed.</td></tr></tbody></table>

<table data-header-hidden><thead><tr><th width="243.54541015625" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Enum</td><td valign="top">Description</td></tr><tr><td valign="top">TransactionFailed</td><td valign="top">The transaction failed.</td></tr><tr><td valign="top">TransactionNotAccepted</td><td valign="top">The transaction was not accepted by the device.</td></tr><tr><td valign="top">TechnicalFallback</td><td valign="top">Due to technical reasons, the chip transaction cannot be completed by the reader.</td></tr><tr><td valign="top">SignatureCaptureRequested</td><td valign="top">A signature capture is requested by the device.</td></tr></tbody></table>

### EventType <a href="#id-12.8_eventtype" id="id-12.8_eventtype"></a>

This enum refers to the type of event triggered by the device.

<table data-header-hidden><thead><tr><th width="230.81817626953125" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Enum</td><td valign="top">Description</td></tr><tr><td valign="top">Invalid</td><td valign="top"> </td></tr><tr><td valign="top">ConnectionState</td><td valign="top">There was a change in the connection state of the device.</td></tr><tr><td valign="top">DeviceResponse</td><td valign="top">Device has responded to a command.</td></tr><tr><td valign="top">DeviceExtendedResponse</td><td valign="top">Device has responded to an extended command.</td></tr><tr><td valign="top">DeviceNotification</td><td valign="top">Device is sending a notification.</td></tr><tr><td valign="top">CardData</td><td valign="top">Device has sent magnetic stripe data from a card swipe.</td></tr><tr><td valign="top">TransactionStatus</td><td valign="top">There was a change in transaction status.</td></tr><tr><td valign="top">DisplayMessage</td><td valign="top">Device has data to be displayed to the user.</td></tr><tr><td valign="top">InputRequest</td><td valign="top">Device is requesting input from the user.</td></tr><tr><td valign="top"><p> </p><p>AuthorizationRequest</p></td><td valign="top">Device has sent the Authorization Request Cryptogram and associated block of EMV tags for a transaction. This block is meant to be sent to the transaction processor.</td></tr><tr><td valign="top">TransactionResult</td><td valign="top">Device has sent the result of the transaction.</td></tr><tr><td valign="top">PINBlock</td><td valign="top">Device is sending the PINBlock after the user has entered a PIN on the device.</td></tr><tr><td valign="top">Signature</td><td valign="top">Device has sent data which represents a signature from a user.</td></tr><tr><td valign="top">DeviceDataFile</td><td valign="top">Device has sent data a file.</td></tr><tr><td valign="top">OperationStatus</td><td valign="top">Device has sent an operation status of a command.</td></tr></tbody></table>

### UserEvent <a href="#id-12.9_userevent" id="id-12.9_userevent"></a>

This enum refers to the type of user event reported by the device. These events are related to user interaction.

<table data-header-hidden><thead><tr><th width="229" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Enum</td><td valign="top">Description</td></tr><tr><td valign="top">None</td><td valign="top">No events yet to occur.</td></tr><tr><td valign="top">ContactlessCardPresented</td><td valign="top">Contactless card has been presented.</td></tr></tbody></table>

<table data-header-hidden><thead><tr><th width="249.90911865234375" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top">Enum</td><td valign="top">Description</td></tr><tr><td valign="top">ContactlessCardRemoved</td><td valign="top">Contactless card has been removed.</td></tr><tr><td valign="top">CardSeated</td><td valign="top">Card is seated into the chip station.</td></tr><tr><td valign="top">CardUnseated</td><td valign="top">Card was removed from the chip station.</td></tr><tr><td valign="top">CardSwiped</td><td valign="top">Magnetic stripe card was swiped.</td></tr><tr><td valign="top">TouchPresented</td><td valign="top">Touch screen press detected.</td></tr><tr><td valign="top">TouchRemoved</td><td valign="top">Touch screen release detected.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.magtek.com/sdks-and-tools/universal-sdk-documentation/java/mtusdk-enumerations.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
